commit: a86811012dbcd585781003ef0121d6ef9421e6af
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 7 15:15:21 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Mar 7 15:26:41 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8681101
dev-python/dunamai: Bump to 1.26.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/dunamai/Manifest | 1 +
dev-python/dunamai/dunamai-1.26.0.ebuild | 46 ++++++++++++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/dev-python/dunamai/Manifest b/dev-python/dunamai/Manifest
index b9e0c39f4b3e..ea847ebd94b4 100644
--- a/dev-python/dunamai/Manifest
+++ b/dev-python/dunamai/Manifest
@@ -1 +1,2 @@
DIST dunamai-1.25.0.tar.gz 46155 BLAKE2B
8324b94e3cf3e4f28f0a6990f14426bd838403db7940a0545f8429e200793d2b2ce122df9b9d02380570d7a85fdc00200da5511f77c6c5fa03ed1085c9b95e8d
SHA512
eb234c06f72b0c4942a30e53331c809bbde6af6e2795045b6411818e8e832e0307e706a4caf84ffdfb8c5123b9225fe1df52c857ac0dc1868f0f4edcdb49da29
+DIST dunamai-1.26.0.tar.gz 45500 BLAKE2B
627eb8776a19a90dc4eb8a20ff9137d16182da709923c715012bf9717f1709dba683bf272d27f65f8a2ebd750035a22f239e673128632d4b10bd8aacd659a4d5
SHA512
3521ca2185f982c6f69e8c76496e1e3735069fa6d725654fd513082c150bcfe36a6e89b6d06980c9364a345f11fa830dfc18b7af10db7274ca8b022db43550e3
diff --git a/dev-python/dunamai/dunamai-1.26.0.ebuild
b/dev-python/dunamai/dunamai-1.26.0.ebuild
new file mode 100644
index 000000000000..b8b31233de8b
--- /dev/null
+++ b/dev-python/dunamai/dunamai-1.26.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Dynamic version generation"
+HOMEPAGE="
+ https://github.com/mtkennerly/dunamai/
+ https://pypi.org/project/dunamai/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ >=dev-python/packaging-20.9[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-vcs/git
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_test() {
+ local EPYTEST_DESELECT=(
+ # Internet
+
tests/integration/test_dunamai.py::test__version__from_git__shallow
+ )
+
+ git config --global user.email "[email protected]" || die
+ git config --global user.name "Your Name" || die
+ if type -P bzr &>/dev/null; then
+ brz whoami "Your Name <[email protected]>" || die
+ fi
+ distutils-r1_src_test
+}